<?php
namespace App;
/**
 * Core: Help - Main Class
 * 
 * Core - Help
 * 
 * @copyright 2019 SCHLIX Web Inc
 *
 * @license SCHLIX Shared Source
 *
 * @package core
 * @version 1.0
 * @author  SCHLIX Web Inc <info@schlix.com>
 * @link    http://www.schlix.com
 */
class Core_Help extends \SCHLIX\cmsApplication_Basic {


    /**
     * Constructor
     */
    public function __construct() {
        parent::__construct("Help");
        
        $this->has_versioning = false; // uncomment if this app wants versioning enabled
        $this->disable_frontend_runtime = true; //  Uncomment if this is a backend only app
         
    }

    /**
     * View Main Page
     */
    public function viewMainPage() {
        $this->loadTemplateFile('view.main', null);
    }
            
    /**
     * Test Command, can be triggered from URL /plugin_short_name/action/test
     */
    public function testCommand()
    {
        echo 'Hello World';
    }
    
    //_______________________________________________________________________________________________________________//
    public function Run($command) {
        switch ($command['action']) {
            case 'test' : $this->testCommand();
                return RETURN_FULLPAGE;
                break;
            default: return parent::Run($command);
        }
        return true;
    }

}

?>