<?php
namespace App;

/**
 * Core: LogViewer - Admin class
 * 
 * Core - LogViewer
 *
 * @copyright 2019 SCHLIX Web Inc
 *
 * @license SCHLIX Shared Source
 *
 * @version 1.0
 * @package core
 * @author  SCHLIX Web Inc <info@schlix.com>
 * @link    http://www.schlix.com
 */
class Core_LogViewer_Admin extends \SCHLIX\cmsAdmin_List {

    /**
     * Constructor
     */
    public function __construct()
    {
        // Data: Item
        parent::__construct( true, []);
        $this->search_field = 'description';
        $this->setItemFieldNamesForAjaxListing('id', 'request_uri', 'referrer', 'user_agent', 'ip_address', 'date_created', 'host_name', 'description','module','type');
    }
    
}
 